Bug 1309095 - [abrt] gtg: bus.py:122:__new__:DBusException: org.freedesktop.DBus.Error.LimitsExceeded: Failed to determine seats of user "1000": Too many open files
[abrt] gtg: bus.py:122:__new__:DBusException: org.freedesktop.DBus.Error.Limi...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gtg (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ankur Sinha (FranciscoD)
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:9efc4903b15904fecf26b151b89...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-16 15:08 EST by Thom Carlin
Modified: 2017-02-24 08:32 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1426629 (view as bug list)
Environment:
Last Closed: 2016-12-20 13:46:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.24 KB, text/plain)
2016-02-16 15:08 EST, Thom Carlin
no flags Details
File: environ (1.90 KB, text/plain)
2016-02-16 15:08 EST, Thom Carlin
no flags Details

  None (edit)
Description Thom Carlin 2016-02-16 15:08:23 EST
Version-Release number of selected component:
gtg-0.3.1-7.fc23

Additional info:
reporter:       libreport-2.6.4
cmdline:        /usr/bin/python /usr/bin/gtg
dso_list:       dbus-python-1.2.0-12.fc23.x86_64
executable:     /usr/bin/gtg
kernel:         4.2.6-301.fc23.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
bus.py:122:__new__:DBusException: org.freedesktop.DBus.Error.LimitsExceeded: Failed to determine seats of user "1000": Too many open files

Traceback (most recent call last):
  File "/usr/bin/gtg", line 89, in <module>
    main()
  File "/usr/bin/gtg", line 85, in main
    sys.exit(gtg.main(options, args))
  File "/usr/lib/python2.7/site-packages/GTG/gtg.py", line 123, in main
    manager = Manager(req)
  File "/usr/lib/python2.7/site-packages/GTG/gtk/manager.py", line 104, in __init__
    DBusTaskWrapper(self.req, self)
  File "/usr/lib/python2.7/site-packages/GTG/gtk/dbuswrapper.py", line 82, in __init__
    self.bus = dbus.SessionBus()
  File "/usr/lib64/python2.7/site-packages/dbus/_dbus.py", line 211, in __new__
    mainloop=mainloop)
  File "/usr/lib64/python2.7/site-packages/dbus/_dbus.py", line 100, in __new__
    bus = BusConnection.__new__(subclass, bus_type, mainloop=mainloop)
  File "/usr/lib64/python2.7/site-packages/dbus/bus.py", line 122, in __new__
    bus = cls._new_for_bus(address_or_type, mainloop=mainloop)
DBusException: org.freedesktop.DBus.Error.LimitsExceeded: Failed to determine seats of user "1000": Too many open files

Local variables in innermost frame:
mainloop: None
address_or_type: 0
cls: <class 'dbus._dbus.SessionBus'>
Comment 1 Thom Carlin 2016-02-16 15:08:26 EST
Created attachment 1127715 [details]
File: backtrace
Comment 2 Thom Carlin 2016-02-16 15:08:28 EST
Created attachment 1127716 [details]
File: environ
Comment 3 Fedora End Of Life 2016-11-24 10:36:06 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2016-12-20 13:46:16 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 sankayop 2017-02-24 08:32:49 EST
Hi all,
issue appears as well with Fedora 25:
"

"2017-02-24 14:26:28,769 - WARNING - __init__:__init__:74 - Backend backend_launchpad could not be loaded: No module named launchpadlib.launchpad
2017-02-24 14:26:28,852 - WARNING - __init__:__init__:74 - Backend backend_evolution could not be loaded: No module named evolution
Traceback (most recent call last):
  File "/bin/gtg", line 89, in <module>
    main()
  File "/bin/gtg", line 85, in main
    sys.exit(gtg.main(options, args))
  File "/usr/lib/python2.7/site-packages/GTG/gtg.py", line 123, in main
    manager = Manager(req)
  File "/usr/lib/python2.7/site-packages/GTG/gtk/manager.py", line 104, in __init__
    DBusTaskWrapper(self.req, self)
  File "/usr/lib/python2.7/site-packages/GTG/gtk/dbuswrapper.py", line 82, in __init__
    self.bus = dbus.SessionBus()
  File "/usr/lib64/python2.7/site-packages/dbus/_dbus.py", line 211, in __new__
    mainloop=mainloop)
  File "/usr/lib64/python2.7/site-packages/dbus/_dbus.py", line 100, in __new__
    bus = BusConnection.__new__(subclass, bus_type, mainloop=mainloop)
  File "/usr/lib64/python2.7/site-packages/dbus/bus.py", line 122, in __new__
    bus = cls._new_for_bus(address_or_type, mainloop=mainloop)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

Note You need to log in before you can comment on or make changes to this bug.